image: registry.hub.docker.com/bitnami/minideb:bullseye

before_script:
  # following ones get updated, so they are not installed from Debian package repo: python3-sphinx python3-pybtex-docutils
  #- apt-get install -y python3-sphinx && apt-get clean
- install_packages pip jupyter-notebook python3-anyio python3-greenlet python3-click python3-jupyter-server python3-sqlalchemy python3-latexcodec python3-nbclient python3-nest-asyncio python3-smmap python3-soupsieve python3-toml python3-pybtex
- pip install jupyter-book && rm -r /root/.cache/pip

pages:
  stage: deploy
  script:
  - python3 --version
  - jupyter-book build .
  - echo "move content to public folder"
  - mv ./_build/html public
  tags:
  - shared
  - gitlab-pages
  - docker
  artifacts:
    paths:
    - public
  only:
  -  master
